=== debian/changelog ===
coq-elpi (1.11.2-2) unstable; urgency=medium

  * Fix -dev package not depending on the lib package. (Closes: #1002930)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 08:46:21 +0100

coq-elpi (1.11.2-1) unstable; urgency=medium

  * Initial release. (Closes: #999483)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 09:02:11 +0100
