=== debian/control ===
Source: coq-elpi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml, coq, libcoq-ocaml-dev,
               libelpi-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
Homepage: https://github.com/LPCIC/coq-elpi

Package: libcoq-elpi-ocaml
Architecture: any
Depends: ${misc:Depends}, libcoq-ocaml, coq-${F:CoqABI}
Provides: ${ocaml:Provides}
Description: Coq plugin embedding Elpi (runtime)
 This package makes it possible to define new commands and tactics
 for Coq in Elpi.
 .
 Elpi implements a lambda-Prolog interpreter enriched with
 constraint handling rules.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides runtime libraries for the elpi plugin.

Package: libcoq-elpi-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, libcoq-elpi-ocaml
Provides: ${ocaml:Provides}
Description: Coq plugin embedding Elpi (devel)
 This package makes it possible to define new commands and tactics
 for Coq in Elpi.
 .
 Elpi implements a lambda-Prolog interpreter enriched with
 constraint handling rules.
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package provides libraries needed to develop
 for the elpi plugin.
