=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

export COQTOP := $(COQ_STDLIB_DIR)
export COQLIB := $(COQ_STDLIB_DIR)
export COQBIN := /usr/bin
export ELPIDIR := $(OCAML_STDLIB_DIR)/elpi

%:
	dh $@ --with ocaml

override_dh_auto_build:
	$(MAKE) build

override_dh_auto_install:
	dh_auto_install
	cp src/elpi_plugin.a debian/tmp/usr/lib/coq/user-contrib/elpi/
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(cma|cmxs|v|vo|vos|glob)$$' \
	  >> debian/libcoq-elpi-ocaml.install
	find debian/tmp -regextype posix-awk \
	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
	  >> debian/libcoq-elpi-ocaml-dev.install

override_dh_auto_clean:
	@echo "Clean target is fragile"

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

override_dh_ocaml:
	dh_ocaml --nodefined-map=libcoq-elpi-ocaml-dev:Extfun,Gramext,Versdep,Fstream,Pretty,Token,Grammar,Ploc,Plexing,Plexer,Eprinter,Diff,Stdpp,Pprintf,Extfold,Elpi__Ptmap,Elpi__Util,Elpi__Builtin,Elpi__Data,Elpi__Ast,Elpi__Builtin_map,Elpi__Builtin,Elpi__Builtin_checker,Elpi__Builtin_stdlib,Elpi__API,Elpi__Runtime,Trace_ppx_runtime__Runtime,Elpi__Runtime_trace_on,Elpi__parser,Trace_ppx_runtime,Elpi__exported,Elpi,Elpi__Runtime_trace_off,Elpi__Builtin_set,Elpi__exported,Elpi__Parser,Elpi__Compiler,Elpi__,Ppx_deriving_runtime,Re__,Re__Fmt,Re__Category,Re__Group,Re__str,Re__Pcre,Re,Re__Str,Re__str,Re__Posix,Re__Automata,Re__Emacs,Re__Core,Re__Cset,Re__Color,Re__Perl,Re__Color_map,Re__Glob,Re_str,Re__Pmark,Result
