=== debian/changelog ===
coq-elpi (1.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 15:44:00 +0100
