## coq-elpi 1.12.1

=== debian/changelog ===
coq-elpi (1.12.1-2) unstable; urgency=medium

  * Adapt to the new coq library layout.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Feb 2022 12:56:20 +0100

coq-elpi (1.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 21 Jan 2022 16:09:07 +0100
