=== debian/changelog ===
coq-elpi (1.13.0-7build2) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 May 2022 18:35:24 +0200

coq-elpi (1.13.0-7build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 May 2022 08:16:38 +0200

coq-elpi (1.13.0-7) unstable; urgency=medium

  * Made libcoq-elpi Architecture: all.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 17 Apr 2022 13:48:42 +0200

coq-elpi (1.13.0-6) unstable; urgency=medium

  * Add depends on the Coq ABI to all binary packages.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Apr 2022 08:32:16 +0200

coq-elpi (1.13.0-5) unstable; urgency=medium

  * Fix binary packages' depends.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Apr 2022 09:01:51 +0200

coq-elpi (1.13.0-4) unstable; urgency=medium

  * Re-upload source-only for testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Apr 2022 09:12:49 +0200

coq-elpi (1.13.0-3) unstable; urgency=medium

  * Split the package, giving one more binary.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 01 Apr 2022 15:30:44 +0200

coq-elpi (1.13.0-2) unstable; urgency=medium

  * Update dates in d/copyright.
  * Add an upstream metadata file.
  * Add a lintian override for libcoq-elpi-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 22:15:06 +0100

coq-elpi (1.13.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 10 Feb 2022 13:30:32 +0100
