=== debian/control ===
--- 
+++ 
@@ -6,16 +6,31 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml, coq, libcoq-ocaml-dev,
+               dh-ocaml, coq, libcoq-ocaml-dev (>= 8.15),
                libelpi-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
 Homepage: https://github.com/LPCIC/coq-elpi
 
+Package: libcoq-elpi
+Architecture: any
+Depends: ${misc:Depends}, libcoq-elpi-ocaml (>= ${source:Version}), coq-${F:CoqABI}
+Description: Coq plugin embedding Elpi (theories)
+ This package makes it possible to define new commands and tactics
+ for Coq in Elpi.
+ .
+ Elpi implements a lambda-Prolog interpreter enriched with
+ constraint handling rules.
+ .
+ Coq is a proof assistant for higher-order logic.
+ .
+ This package provides the Coq elpi plugin.
+
 Package: libcoq-elpi-ocaml
 Architecture: any
-Depends: ${misc:Depends}, libcoq-ocaml, coq-${F:CoqABI}
+Depends: ${misc:Depends}, ${ocaml:Depends}, coq-${F:CoqABI}
 Provides: ${ocaml:Provides}
+Recommends: libcoq-elpi
 Description: Coq plugin embedding Elpi (runtime)
  This package makes it possible to define new commands and tactics
  for Coq in Elpi.
@@ -29,7 +44,7 @@
 
 Package: libcoq-elpi-ocaml-dev
 Architecture: any
-Depends: ${misc:Depends}, libcoq-elpi-ocaml
+Depends: ${misc:Depends}, ${ocaml:Depends}, coq-${F:CoqABI}
 Provides: ${ocaml:Provides}
 Description: Coq plugin embedding Elpi (devel)
  This package makes it possible to define new commands and tactics
