=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	cp src/elpi_plugin.a debian/tmp/usr/lib/coq/user-contrib/elpi/
+	cp src/elpi_plugin.a debian/tmp/usr/lib/ocaml/coq/user-contrib/elpi/
 	find debian/tmp -regextype posix-awk \
-	  -regex '.*\.(cma|cmxs|v|vo|vos|glob)$$' \
-	  >> debian/libcoq-elpi-ocaml.install
+	  -regex '.*\.(v|vo|vos|glob)$$' \
+	  >> debian/libcoq-elpi.install
 	find debian/tmp -regextype posix-awk \
 	  -regex '.*\.(a|cmi|cmo|cmt|cmti|cmx|cmxa|ml|mli|o])$$' \
 	  >> debian/libcoq-elpi-ocaml-dev.install
