## coq-elpi 1.14.0

=== debian/changelog ===
coq-elpi (1.14.0-5build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jul 2022 18:05:00 +0200

coq-elpi (1.14.0-5) unstable; urgency=medium

  * Fix the deps which make the packages uninstallable.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 20:11:07 +0200

coq-elpi (1.14.0-4) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 13:57:38 +0200

coq-elpi (1.14.0-3) unstable; urgency=medium

  * Re-upload because of broken ABI.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 01 Jun 2022 15:13:31 +0200

coq-elpi (1.14.0-2) unstable; urgency=medium

  * Re-upload because of broken ABI.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 21 May 2022 19:43:46 +0200

coq-elpi (1.14.0-1) unstable; urgency=medium

  * Tighten the deps between the binary packages.
  * Bump standards-version to 4.6.1.
  * New upstream release.
  * Adapt the workaround for re-exported symbols in d/rules.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 15:37:01 +0200
