=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-ocaml, coq, libcoq-ocaml-dev (>= 8.15),
-               libelpi-ocaml-dev
+               dh-ocaml, dh-coq, coq, libcoq-ocaml-dev (>= 8.15),
+               libcoq-stdlib, libelpi-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
 Homepage: https://github.com/LPCIC/coq-elpi
 
 Package: libcoq-elpi
 Architecture: any
-Depends: ${misc:Depends}, libcoq-elpi-ocaml (>= ${source:Version}), coq-${F:CoqABI}
+Depends: ${misc:Depends}, libcoq-elpi-ocaml (= ${binary:Version}), ${coq:Depends}
+Provides: ${coq:Provides}
 Description: Coq plugin embedding Elpi (theories)
  This package makes it possible to define new commands and tactics
  for Coq in Elpi.
@@ -28,7 +29,7 @@
 
 Package: libcoq-elpi-ocaml
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, coq-${F:CoqABI}
+Depends: ${misc:Depends}, ${ocaml:Depends}
 Provides: ${ocaml:Provides}
 Recommends: libcoq-elpi
 Description: Coq plugin embedding Elpi (runtime)
@@ -44,7 +45,7 @@
 
 Package: libcoq-elpi-ocaml-dev
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, coq-${F:CoqABI}
+Depends: ${misc:Depends}, ${ocaml:Depends}, libcoq-elpi-ocaml (= ${binary:Version})
 Provides: ${ocaml:Provides}
 Description: Coq plugin embedding Elpi (devel)
  This package makes it possible to define new commands and tactics
