=== debian/changelog ===
coq-elpi (1.15.6-2) unstable; urgency=medium

  * Rebuild because of new elpi.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 25 Oct 2022 21:25:22 +0200

coq-elpi (1.15.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 09 Sep 2022 07:36:42 +0200

coq-elpi (1.15.5-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to turn a warning-error to just a warning.
  * Add patch to fix the install target.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 22 Aug 2022 18:07:48 +0200
