=== debian/control ===
Source: coq-elpi
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml, dh-coq, coq, libcoq-ocaml-dev (>= 8.15),
               libcoq-stdlib, libelpi-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
Homepage: https://github.com/LPCIC/coq-elpi

Package: libcoq-elpi
Architecture: any
Depends: ${misc:Depends}, ${coq:Depends}, libelpi-ocaml-dev
Provides: ${coq:Provides}
Description: Coq plugin embedding Elpi
 This package makes it possible to define new commands and tactics
 for Coq in Elpi.
 .
 Elpi implements a lambda-Prolog interpreter enriched with
 constraint handling rules.
 .
 Coq is a proof assistant for higher-order logic.
