=== apps/NES/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Makefile.test.coq Makefile.test.coq.conf: _CoqProject.test
 	@$(COQBIN)/coq_makefile -f _CoqProject.test -o Makefile.test.coq
 
-clean:
+clean: Makefile.coq Makefile.test.coq
 	@$(MAKE) -f Makefile.coq $@
 	@$(MAKE) -f Makefile.test.coq $@
