=== debian/changelog ===
coq-elpi (1.16.0-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 07:46:31 +0100

coq-elpi (1.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Nov 2022 18:31:24 +0100

coq-elpi (1.15.6-4) unstable; urgency=medium

  * Provide a better fix for the libelpi-ocaml depend.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 13 Nov 2022 21:47:42 +0100

coq-elpi (1.15.6-3) unstable; urgency=medium

  * Make explicit we need a newer elpi.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 12 Nov 2022 17:52:18 +0100
