=== debian/control ===
--- 
+++ 
@@ -5,16 +5,20 @@
 Priority: optional
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-ocaml, dh-coq, coq, libcoq-ocaml-dev (>= 8.15),
-               libcoq-stdlib, libelpi-ocaml-dev
+Build-Depends: coq,
+               debhelper-compat (= 13),
+               dh-coq,
+               dh-ocaml,
+               libcoq-core-ocaml-dev (>= 8.15),
+               libcoq-stdlib,
+               libelpi-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
 Homepage: https://github.com/LPCIC/coq-elpi
 
 Package: libcoq-elpi
 Architecture: any
-Depends: ${misc:Depends}, ${coq:Depends}, libelpi-ocaml-dev
+Depends: libelpi-ocaml-dev, ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}
 Provides: ${coq:Provides}
 Description: Coq plugin embedding Elpi
  This package makes it possible to define new commands and tactics
