=== debian/changelog ===
coq-elpi (1.17.1-1build9) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:13:21 +0100

coq-elpi (1.17.1-1build8) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 17:11:13 +0200

coq-elpi (1.17.1-1build7) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:33:50 +0200

coq-elpi (1.17.1-1build6) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 28 Jul 2023 05:34:55 +0200

coq-elpi (1.17.1-1build5) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jul 2023 11:44:49 +0200

coq-elpi (1.17.1-1build4) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:14:07 +0200

coq-elpi (1.17.1-1build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:14:18 +0200

coq-elpi (1.17.1-1build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:17:02 +0200

coq-elpi (1.17.1-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Jul 2023 22:40:40 +0200

coq-elpi (1.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.
  * Bump Coq version depend.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:29:08 +0200
