## coq-elpi 1.19.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 DEPS=$(ELPIDIR)/elpi.cmxa $(ELPIDIR)/elpi.cma
 
-APPS=$(addprefix apps/, derive eltac NES locker)
+APPS=$(addprefix apps/, derive eltac NES locker coercion)
 
 ifeq "$(COQ_ELPI_ALREADY_INSTALLED)" ""
 DOCDEP=build
@@ -83,6 +83,7 @@
 			-R theories elpi -Q src elpi \
 			$(tut) &&) true
 	@cp stlc.html doc/
+	@cp etc/tracer.png doc/
 
 .merlin: force
 	@rm -f .merlin
