=== debian/changelog ===
coq-elpi (1.19.3-2build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:13:55 +0200

coq-elpi (1.19.3-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:53:25 +0000

coq-elpi (1.19.3-2build2) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:12:59 +0000

coq-elpi (1.19.3-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:24:20 +0100

coq-elpi (1.19.3-2) unstable; urgency=medium

  * Team upload
  * Increase timeout in test that takes a bit longer on riscv64

 -- Stéphane Glondu <glondu@debian.org>  Wed, 03 Jan 2024 08:51:24 +0100

coq-elpi (1.19.3-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044251).
  * New upstream release.
  * Drop all patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:23:48 +0100
