=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: coq-elpi
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
-               libcoq-core-ocaml-dev (>= 8.15),
+               libcoq-core-ocaml-dev (>= 8.17),
                libcoq-stdlib,
                libelpi-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
