=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coq-elpi
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
@@ -12,7 +11,9 @@
                dh-ocaml,
                libcoq-core-ocaml-dev (>= 8.17),
                libcoq-stdlib,
-               libelpi-ocaml-dev
+               libelpi-ocaml-dev,
+               libppx-optcomp-ocaml-dev,
+               ocaml-dune
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-elpi
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-elpi.git
 Homepage: https://github.com/LPCIC/coq-elpi
