## coq-elpi 2.3.0

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 all:
 	$(call dune,build)
+	$(call dune,build) builtin-doc
 .PHONY: all
 
 build-core:
 	$(call dune,build) theories
+	$(call dune,build) builtin-doc
 .PHONY: build-core
 
 build-apps:
@@ -14,10 +16,12 @@
 
 build:
 	$(call dune,build) -p coq-elpi @install
+	$(call dune,build) builtin-doc
 .PHONY: build
 
 test-core:
 	$(call dune,runtest) tests
+	$(call dune,build) tests
 .PHONY: test-core
 
 test-apps:
@@ -26,6 +30,7 @@
 
 test:
 	$(call dune,runtest)
+	$(call dune,build) tests
 	$(call dune,build) $$(find apps -type d -name tests)
 .PHONY: test
 
@@ -44,7 +49,7 @@
 			-R $(shell pwd)/_build/install/default/lib/coq/user-contrib/elpi_elpi elpi_elpi \
 			-R $(shell pwd)/_build/install/default/lib/coq/user-contrib/elpi elpi \
 			$(tut) &&) true
-	@cp stlc.html doc/
+	@cp ./_build/default/examples/stlc.txt doc/
 	@cp etc/tracer.png doc/
 
 clean:
