## coq-elpi 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,40 +1,50 @@
 dune = dune $(1) $(DUNE_$(1)_FLAGS)
 
-all:
+elpi/dune: elpi/dune.in
+	@rm -f $@
+	@echo "; generated by make, do not edit" > $@
+	@if $$(coqc --version | grep -q "8.19\|8.20") ; then \
+	  sed -e 's/@@STDLIB_THEORY@@//' $< >> $@ ; \
+	else \
+	  sed -e 's/@@STDLIB_THEORY@@/(theories Stdlib)/' $< >> $@ ; \
+	fi
+	@chmod a-w $@
+
+all: elpi/dune
 	$(call dune,build)
 	$(call dune,build) builtin-doc
 .PHONY: all
 
-build-core:
+build-core: elpi/dune
 	$(call dune,build) theories
 	$(call dune,build) builtin-doc
 .PHONY: build-core
 
-build-apps:
+build-apps: elpi/dune
 	$(call dune,build) $$(find apps -type d -name theories)
 .PHONY: build-apps
 
-build:
+build: elpi/dune
 	$(call dune,build) -p coq-elpi @install
 	$(call dune,build) builtin-doc
 .PHONY: build
 
-test-core:
+test-core: elpi/dune
 	$(call dune,runtest) tests
 	$(call dune,build) tests
 .PHONY: test-core
 
-test-apps:
+test-apps: elpi/dune
 	$(call dune,build) $$(find apps -type d -name tests)
 .PHONY: test-apps
 
-test:
+test: elpi/dune
 	$(call dune,runtest)
 	$(call dune,build) tests
 	$(call dune,build) $$(find apps -type d -name tests)
 .PHONY: test
 
-examples:
+examples: elpi/dune
 	$(call dune,build) examples
 .PHONY: examples
 
@@ -56,7 +66,7 @@
 	$(call dune,clean)
 .PHONY: clean
 
-install:
+install: elpi/dune
 	$(call dune,install) coq-elpi
 .PHONY: install
