=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	dh $@ --with ocaml,coq
 
 override_dh_auto_build:
+	make elpi/dune
 	dune build -p coq-elpi
 
 override_dh_auto_clean:
